Subject: Re: [swh-devel] bug#36931: guile-bash repository no longer exists?

From: Nicolas Dandrimont <[email-masked]>
Date: Mon, 26 Aug 2019 16:24:35 +0200

* Ludovic Courtès <[email-masked]> [2019-08-23 18:30:17 +0200]:

> Hello SWH!
> 
> We noticed¹ that the ‘fetch_url’ of this Vault entry returns 404:
> 
>   https://archive.softwareheritage.org/api/1/vault/directory/ad8976564375ee55f645387bbcdf4b66e6582fbf/
> 
> Is that supposed to happen?  I don’t remember hitting a ‘fetch_url’ that
> would be 404 before.
> 
> For the record, it corresponds to this revision:
> 
>   https://archive.softwareheritage.org/api/1/revision/1eabc563ca5692b3e08d84f1f0e6fd2283284469/
> 
> Thanks in advance,
> Ludo’.
> 
> ¹ Originally reported at <https://issues.guix.gnu.org/issue/36931>.

Hi!

We've recently moved the Software Heritage Vault to different infrastructure.
In doing so, the existing bundles were scrapped; however, the old cache entries
in the database hadn't been invalidated.

I've now made sure that pre-migration cache entries have been invalidated. I've
also scheduled cooking of objects that had been accessed recently, including
the one you've referenced, and they should now be available for download (or
at least trickling in).

Thanks for the report!
-- 
Nicolas Dandrimont

    if (argc > 1 && strcmp(argv[1], "-advice") == 0) {
	printf("Don't Panic!\n");
	exit(42);
    }
(Arnold Robbins in the LJ of February '95, describing RCS)